IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TimeZone]') AND type in (N'U'))
DROP TABLE [dbo].[TimeZone]
GO

CREATE TABLE [dbo].[TimeZone](
	[Key] [uniqueidentifier] NOT NULL DEFAULT NEWID(),
	[Offset] [nvarchar](20) NOT NULL,
	[StandardName] [nvarchar](max) NOT NULL,
	[DisplayName] [nvarchar](max) NOT NULL,
	[CreatedStamp] [datetime] NOT NULL DEFAULT getutcdate(),
	[LastUpdatedStamp] [datetime] NOT NULL DEFAULT getutcdate(),
	[State] [int] NOT NULL DEFAULT 0,
 CONSTRAINT [PK_TimeZone] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO