IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[view_GeographyTier]') AND type in (N'V'))
DROP VIEW [dbo].[view_GeographyTier]
GO

CREATE VIEW [dbo].[view_GeographyTier]
AS

SELECT Tier.[Key]
      ,Tier.[ParentKey]
      ,Tier.[TierValue]
      ,TierName.[Name]
      ,Tier.[PostCode]
      ,Tier.[TelCode]
      ,Tier.[CountryKey]
	  ,TierName.[CultureInfo]
	  ,TierName.[LastUpdatedStamp]
FROM dbo.GeographyTierName AS TierName
RIGHT JOIN dbo.GeographyTier AS Tier
ON TierName.[Key] = Tier.[key];

GO