IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GeographyTierName]') AND type in (N'U'))
DROP TABLE [dbo].[GeographyTierName]
GO

CREATE TABLE [dbo].[GeographyTierName](
	[Key] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](max) NOT NULL,
	[CultureInfo] [nvarchar](20) NOT NULL,	
	[CreatedStamp] [datetime] NOT NULL DEFAULT getutcdate(),
	[LastUpdatedStamp] [datetime] NOT NULL DEFAULT getutcdate(),
 CONSTRAINT [PK_GeographyTierName] PRIMARY KEY CLUSTERED 
(
	[Key],[CultureInfo] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO